!set title=Linear solve I
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Gang Xiao
email=xiao@unice.fr
language=en

varcnt=14
prevarcnt=8
postvarcnt=5
replycnt=0
choicecnt=0
conditioncnt=1
feedbackcnt=0
format=html

val1=$imagedir

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

m_options=nofloat askresult
m_methods=ineq/addterm, ineq/mulnum, ineq/divnum, ineq/exsides
m_minsteps=2
tmp0=!randint 2, 20

tmp1=!randitem -1,1

val2=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 20

tmp1=!randitem -1,1

val3=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 20

tmp1=!randitem -1,1

val4=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 1, 20

tmp1=!randitem -1,1

val5=$[rint($(tmp0)*$(tmp1))]
val6=!rawmath $val2*x + $val5
tmp0=!randitem <,<=,>,>=

val7=$(tmp0)
val8=!rawmath $val3*x + $val4*y
val9=
m_equivalence=$val6 $val7 $val8
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()	Solve for $m_y the inequality 
!insmath $val6 $val7 $val8
$().	<p>	The goal of the exercise is to transform the given inequality into an	equivalent one where the left part is $m_y, and the right part is an expression	of $m_x.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:postdef
tmp0=!translate internal <=> to , , in $m_equivalence

val10=$(tmp0)
tmp0=!item 1 of $val10

val11=$(tmp0)
tmp0=!item 2 of $val10

val12=$(tmp0)
tmp0=!varlist $val12

val9=$(tmp0)
val13=

!exit

:feedback

!exit

:test

!ifval $val11 issametext y and	 ($val9 issametext x or $val9 issametext $val13)
 condtest1=1
!else
 condtest1=0
!endif
condname1=

!exit

:stat
vsavelist=6,7,8,9
embedcnt=0
